Package Details: insight-toolkit 4.10.0-5

Git Clone URL: https://aur.archlinux.org/insight-toolkit.git (read-only)
Package Base: insight-toolkit
Description: Cross-platform system that provides developers with an extensive suite of software tools for image analysis
Upstream URL: http://www.itk.org/
Licenses: Apache
Submitter: joelsc
Maintainer: crmullins
Last Packager: crmullins
Votes: 27
Popularity: 0.121606
First Submitted: 2008-11-16 19:36
Last Updated: 2016-07-01 01:51

Dependencies (18)

Sources (1)

Latest Comments

crmullins commented on 2016-07-16 19:33

@pmav99 can you verify you're downloading InsightToolkit-4.10.0.tar.xz? It hasn't changed for me. (Is sourceforge adding stuff into the packages again?)

pmav99 commented on 2016-07-15 07:11

The checksum has changed. This is the new one:
sha512sums=('b897c49413a94f35a7f5d92c3c43215bd41da1ae7f9f2694cb17ab611b59286a75a20f6586c94b41f17a77786440fdb4ecb5655761ed14c8bef83e858755f8cf')

crmullins commented on 2016-07-01 01:53

4.10.0 has been released. I originally ran into some problems building the python wrapping[1] which has been resolved now. Please let me know if you have any issues with the upgrade.

Chris

[1] http://itk-users.7.n7.nabble.com/ITK-users-Build-errors-in-python-wrapping-of-4-10-0-td37254.html

crmullins commented on 2016-05-06 21:12

@GeorgP that's strange, I don't have this problem and the header is in the same place for me. Can you verify that you're building with (1) no modifications to the PKGBUILD cmake options and (2) the latest version of cmake? I'm assuming you have only the latest version of gdcm installed from the AUR.

Another place to check is the file /usr/lib64/gdcm-2.6/GDCMConfig.cmake and the ITK CMakeCache file to make sure cmake isn't finding some other GDCM.

GeorgP commented on 2016-05-05 17:13

I get the following error, during build:

[...]/src/InsightToolkit-4.9.1/Modules/IO/GDCM/src/itkGDCMImageIO.cxx:41:29: fatal error: gdcmImageHelper.h: No such file or directory

However, the file /usr/include/gdcm-2.6/gdcmImageHelper.h exists as part of gdcm.

crmullins commented on 2016-04-18 21:37

Updating to new patch 4.9.1, from the release announcement:

"This is a patch release that fixes critical issues, regressions, documentation, and compiler support. This release fixes builds against system HDF5 1.8.16. It also avoids clobbering VTK_LIBRARIES in certain cases when mixing a project that uses both ITK and VTK. Resource servers that provide testing data and build tools at build time now only support the HTTPS protocol; HTTP support has been removed. This
requires SSL support in the CMake binary used to build ITK."

crmullins commented on 2016-02-05 16:20

4.9.0 was released, release notes here[1]. New package is on the way, I'm just doing some testing.

[1] http://public.kitware.com/pipermail/community/2016-February/010755.html

giniu commented on 2016-01-11 18:54

@crmullins if you want to take this package over, it would be great help. I'm disowning it for you - have fun :)

crmullins commented on 2015-12-31 20:15

Hi again giniu!

Here is a working PKGBUILD for ITK 4.8.2 [1]. I've turned off ITK_WRAP_PYTHON by default and added some optional dependencies for the wrapping.

Since you're pretty busy these days, I'm happy to take over this one as well if you want -- let me know.

[1] https://gist.github.com/chrismullins/62821f3c176ea7aa289e

muefra00 commented on 2015-12-07 23:17

I just noticed that I had 2 mistakes in my PKGBUILD:

-ITK_LEGACY_SILENT:BOOL=ON \
-ITK_WRAP_PYTHON:BOOL=ON \

should be

-DITK_LEGACY_SILENT:BOOL=ON \
-DITK_WRAP_PYTHON:BOOL=OFF \

(python wrapping off by default is probably the sensible option here since it takes really long to compile with it enabled - since I forgot the -D infront it didn't build the python wrapping so far anyways)

giniu commented on 2015-05-23 17:41

@muefra00 thanks for pkgbuild - I will look into updating it soon.

muefra00 commented on 2015-05-22 10:54

Updated the PKGBUILD for ITK 4.7.2 & GCC 5.1
http://pastebin.com/raw.php?i=4Fg8Fti0

Notes:
I also changed it to use system hdf5 which is why the hdf5-cpp-fortran dependency was introduced. If you have a previous ITK build installed, installing hdf5-cpp-fortran may result in some conflicts: just uninstall ITK, install hdf5 & rebuild ITK.

Here are the changes required for GCC 5.1 compatibility: http://review.source.kitware.com/#/c/19724/ (tl;dr: white-listing GCC version 5.1)

giniu commented on 2015-03-17 20:24

Thanks, I will update soon - probably later this week.

Styx85 commented on 2015-03-17 20:04

Working PKGBUILD for 4.7.1

http://pastebin.com/1KpFac90

Styx85 commented on 2015-03-17 18:22

4.7.1 is out.

http://downloads.sourceforge.net/project/itk/itk/4.7/InsightToolkit-4.7.1.tar.xz

giniu commented on 2014-12-20 16:37

now with Python (3) bindings

giniu commented on 2014-10-27 15:23

insight made me sight again - I updated without enabling python bindings, as I wasn't able to make them work...

lluixhi commented on 2014-07-31 17:14

4.6.0 is out.

giniu commented on 2014-05-29 12:31

@sigidagi I looked and it is missing from 4.5.2, because it wasn't in the release yet - i.e. there is no such file in https://gitorious.org/kitware/itk/source/c102c59fbe646e01f3b90ed03cd04652794ceb77:Modules/Filtering/DisplacementField/include

It means, that this would have to be development version of itk, like itk-git. Unfortunately, this project is very unstable in my opinion. I'm having troubles keeping it up to date even with stable releases, not counting git.

If you want, you are free to create one based on stable release, but unfortunatelly I won't have time to maintian such release. I can prepare such package if you will be willing to adopt it and maintain then, in case you don't want to start from scratch.

sigidagi commented on 2014-05-11 13:54

"itkTransformToDisplacementFieldFilter.h" is missing in ITK4.5.2 package.
http://www.itk.org/Doxygen/html/itkTransformToDisplacementFieldFilter_8h_source.html
Can you update PKGBUILD that it will fetch source from git (instead of sourceforge):
https://github.com/InsightSoftwareConsortium/ITK

I'm creating a package which depends on ITK.

giniu commented on 2014-01-22 18:59

Wrapping still fails, install cannot find /build/Wrapping/Typedefs/vcl_complex.idx - but I uploaded version without Wrapping anyway.

snuo commented on 2013-12-13 02:58

4.4.2 is the latest, with fixes for gcc 4.8.
It builds just as well as before.

pkgver=4.4.2
pkgrel=1
pkgdesc='Insight Segmentation and Registration Toolkit (ITK).'
arch=('i686' 'x86_64')
url='http://www.itk.org/'
license=('APACHE')
depends=('fftw' 'libjpeg-turbo' 'libpng' 'zlib' 'libtiff' 'gdcm')
makedepends=('cmake')
conflicts=('itk-python')
source=("http://downloads.sourceforge.net/project/itk/itk/4.4/InsightToolkit-4.4.2.tar.xz")
md5sums=('f59dce3f68417215daa8a3aca72e65d9')

snuo commented on 2013-12-12 19:15

4.4.2 is the latest, with fixes for gcc 4.8.
That said, I can't make gingko-cadx open dicom images when linked with ITK 4.3.1-2 or this latest version. But it builds just as well as before, so upgrade.

pkgver=4.4.2
pkgrel=1
pkgdesc='Insight Segmentation and Registration Toolkit (ITK).'
arch=('i686' 'x86_64')
url='http://www.itk.org/'
license=('APACHE')
depends=('fftw' 'libjpeg-turbo' 'libpng' 'zlib' 'libtiff' 'gdcm')
makedepends=('cmake')
conflicts=('itk-python')
source=("http://downloads.sourceforge.net/project/itk/itk/4.4/InsightToolkit-4.4.2.tar.xz")
md5sums=('f59dce3f68417215daa8a3aca72e65d9')

giniu commented on 2013-06-03 21:47

I will update directly to 4.4.0 (released today), 4.3.x had too many issues that are supposed to be fixed. I will test do some tests this week.

giniu commented on 2013-01-10 10:45

4.3.1 can use external tiff, so I use it instead of building itk's version. Next to try: external vxl, external gcdm, external gccxml and then enable binding.

giniu commented on 2012-11-20 22:49

This is a note to myself, to try again with external gccxml from gccxml-git package. Lets hope that this time we will be able to bring language bindings up.

giniu commented on 2012-10-06 15:50

and... Python bindings still do not work. Although now it's known why they fail (at least first failure): http://public.kitware.com/Bug/bug_relationship_graph.php?bug_id=13430&graph=dependency

giniu commented on 2012-10-01 20:07

4.2.1 is out, I will look into updating asap (I hope they finally fixed python bindings!)

giniu commented on 2012-07-12 12:16

Bindings still do not work, just like using system hdf5 and tiff. At least I was able to make itk use fftw, jpeg, png and zlib from repos, it saves some time and size for install. I will try to make it use more pre-installed components and enable bindings in near future.

giniu commented on 2012-07-11 20:33

4.2 have been released, it is supposed to fix gcc 4.7 issues. I will try it tomorrow, for now leaving it as OoD

giniu commented on 2012-04-11 11:23

The broken part is in python bindings, decided to disable them until I know how to fix them on gcc 4.7.

giniu commented on 2012-04-05 12:22

This is now broken with gcc 4.7, I will work on patch. Marking it out of date as a remainder.

giniu commented on 2012-04-01 20:27

install cannot copy file? By any chance you are using tmpfs and it got out of space? Like in https://bbs.archlinux.org/viewtopic.php?id=115506

Styx85 commented on 2012-04-01 19:26

Hm, I'm getting following mistake:


-- Installing: /tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/ITK-4.1/Python/Configuration/ITKImageFunctionConfig.py
-- Installing: /tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/ITK-4.1/Python/ITKImageFunction.py
-- Installing: /tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/cmake/ITK-4.1/WrapITK/Configuration/Typedefs/python/ITKImageFunction_ext.i
-- Installing: /tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/ITK-4.1/Python/ITKImageFunctionPython.py
-- Installing: /tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/ITK-4.1/Python/_ITKImageFunctionPython.so
CMake Error at Wrapping/Modules/ITKImageFunction/cmake_install.cmake:228 (FILE):
file INSTALL cannot copy file
"/tmp/yaourt-tmp-christoph/aur-insight-toolkit/src/build/lib/_ITKImageFunctionPython.so"
to
"/tmp/yaourt-tmp-christoph/aur-insight-toolkit/pkg/usr/lib/ITK-4.1/Python/_ITKImageFunctionPython.so".
Call Stack (most recent call first):
Wrapping/Modules/cmake_install.cmake:43 (INCLUDE)
Wrapping/cmake_install.cmake:57 (INCLUDE)
cmake_install.cmake:192 (INCLUDE)


make: *** [install] Fehler 1
==> FEHLER: Ein Fehler geschah in package().
Breche ab ...
==> ERROR: Makepkg was unable to build insight-toolkit.
==> Restart building insight-toolkit ? [y/N]

giniu commented on 2012-04-01 12:30

I decided to take care for this package for some time. First thing I will do is update to 4.1.0 and enabling of Python bindings as I got them working with 4.x. Next step will be trying to make use of system-wide installed jpeg/png/tiff/zlib/hdf/... libraries (this part did not worked with 4.0, still have to check with 4.1 - it should improve compilation time). Later I will look into enabling other bindings (just like VTK does).

lunaryorn commented on 2011-07-23 10:28

@td123: Thanks :)

td123 commented on 2011-07-21 18:53

@lunaryorn, done

lunaryorn commented on 2011-07-21 18:40

Could you please add "-DITK_USE_REVIEW:BOOL=ON" to the PKGBUILD to enable the ITK Review library?

td123 commented on 2011-05-25 22:30

thanks for letting me know, I will have a fixed version up soon

intelfx commented on 2011-05-25 17:47

A problem is encountered when compiling with GCC 4.6.0 - ptrdiff_t is not defined. This seems to happen because ITK includes <cstddef>, but uses globally-defined "ptrdiff_t". This worked with earlier versions of GCC because of a side-effect global "ptrdiff_t".